GIT with Bluetooth

Gamer's Internet Tunnel, formerly Gamer's IPX Tunnel

GIT with Bluetooth

Postby Bongman » Sat Feb 19, 2005 7:43 am

Im not sure if this is a known issue but ive already searched the fourms with no results:


I use GIT V0.98. Works perfectly, we use it to play lan games via my vpn connecton.
This is until I bought a Bluetooth USB Dongle for my phone connectivity.
Now GIT will error "Unable to open the Packet device"
and no packet devices are selectable in the options screen.
now i was 90% sure this was the bluetooth so started experimenting with different configs,

I found out, if you go into device manager, and uninstall the "Bluetooth 2.4Ghz Single Chip Transever" then restart GIT, and all is fine
Then all you need to do is unplug, then plug back in, the BT USB dongle once you have finished with GIT.


Anyone else had problems with Bluetooth and GIT?
Is this issue fixed in the recent beta?
Bongman
 
Posts: 5
Joined: Sat Feb 19, 2005 7:27 am

Postby Ark » Sat Feb 19, 2005 11:34 am

Did you go into advanced config and change your packet device? Maybe the bluetooth becomes the first one on the list, so that is what you are trying to use instead of your ethernet card then.
Ark
Site Admin
 
Posts: 2108
Joined: Sat Sep 13, 2003 4:21 pm

Postby Bongman » Sat Feb 19, 2005 10:19 pm

yep :(

When bluetooth is installed, no packet devices appear in the list.

(I have tried re-installing GIT while the bluetooth is installed too)
Bongman
 
Posts: 5
Joined: Sat Feb 19, 2005 7:27 am

Postby Ark » Sat Feb 19, 2005 11:14 pm

Problem is likely Winpcap.
Try GIT 0.99 BETA 4 and Winpcap 3.1 beta from their site.
Ark
Site Admin
 
Posts: 2108
Joined: Sat Sep 13, 2003 4:21 pm

Postby ealas » Fri Mar 25, 2005 10:58 am

Ark wrote:Problem is likely Winpcap.
Try GIT 0.99 BETA 4 and Winpcap 3.1 beta from their site.


well i did just like that... but GIT just freezes.. ;/ than i uninstalled and installed.. but it is tha same problem.. when i install older versions than i get an error "Unable to open the Packet device" and if i use GIT 0.99 BETA 4 and Winpcap 3.1 beta, Git just freezes...
ealas
 
Posts: 7
Joined: Fri Mar 25, 2005 10:55 am

Postby Ark » Fri Mar 25, 2005 11:03 am

Please search the forums. Winpcap 3.1 has some freeze issues but you can work around them with GIT. There is many posts about this already.
Ark
Site Admin
 
Posts: 2108
Joined: Sat Sep 13, 2003 4:21 pm

Postby ealas » Sat Mar 26, 2005 12:48 am

Ark please answer me this question. I would be very glad if you would do that. Well this is my problem
ealas
 
Posts: 7
Joined: Fri Mar 25, 2005 10:55 am

Postby ealas » Sat Mar 26, 2005 12:51 am

sorry that i didnt finished.. my little brother likes to do bad things.. :? so.. i install GIT 0.99 BETA 4 and Winpcap 3.1 and i select ethernet device.. (that second one, i know that the first is bad) and the i press OK... But it just crashes.. and the work is done.. :(

When i use older versions then i cant find any etherned devices displayed... well if you could answer to my problem... Thank YOU... respect..
ealas
 
Posts: 7
Joined: Fri Mar 25, 2005 10:55 am

Postby Ark » Sat Mar 26, 2005 1:11 am

The problem is with either Winpcap or your network card drivers. It is possible that your card does not support promiscious mode properly and even the newest drivers may not. Your only option then is to buy a better network card, as most standard cards work without problems. If Winpcap crashes regularly, make sure to try several rounds of uninstall, reboot, reinstall. Try uninstalling all networking even, tcpip, nic drivers, etc. Sometimes old copies of Winpcap get stuck around and updating doesn't really work until you do all that. Generally it goes without issue though.
Ark
Site Admin
 
Posts: 2108
Joined: Sat Sep 13, 2003 4:21 pm

Postby ealas » Sat Mar 26, 2005 1:36 am

Ark but i dont use ethernet card.. i have USB modem D-link DSL-210.. ethernet card is in the mother card.. mayby this is the main problem? mayby thats why elder versions cant see my modem? do u know how 2 solve the problem? ;/
ealas
 
Posts: 7
Joined: Fri Mar 25, 2005 10:55 am

Postby Ark » Sat Mar 26, 2005 1:51 am

The USB modem may not be supported by either the USB modem's own driver (likely since USB is not the proper device for a DSL modem) or Winpcap maybe. Does the DSL modem have an ethernet port you can use instead? If not, get a new DSL modem/router combo and use that via ethernet instead. They are very cheap now. Your other alternative would be to set up a loopback adapter and try to use that. You are on your own here though as these problems are not problems with GIT.
Ark
Site Admin
 
Posts: 2108
Joined: Sat Sep 13, 2003 4:21 pm

Postby Bongman » Fri Dec 23, 2005 11:52 am

Sorry to bring this old post back up, but recently i have tried Ark's fix (we rarely use GIT)


No joy. Regrettably I still have to disable or remove the device to use GIT

I dont mind though. At least i have a workaround. The problem must be with WinPcap.

This may be something for the readme ;)
Bongman
 
Posts: 5
Joined: Sat Feb 19, 2005 7:27 am


Return to GIT

Who is online

Users browsing this forum: No registered users and 2 guests

cron